<template>
    <tr>
        <td>{{item.termin}}</td>
		<td>{{this.pacientJmeno}}</td>
		<td>{{this.prohlidkaNazev}}</td>
    </tr>
</template>

<script>
export default {
	data() {
		return {
			termin: null,
            pacientJmeno: null,
            prohlidkaNazev: null,
		};
	},

	props:{
		item: {}
	},

    async mounted() {
        const resProhlidka = await this.$axios.get('/api/Prohlidka/' + this.item.idProhlidka);
        const prohlidka = resProhlidka.data;
        this.prohlidkaNazev = prohlidka.nazev;

        const resPacient = await this.$axios.get('/api/Pacient/' + this.item.idPacient);
        const pacient = resPacient.data;
        this.pacientJmeno = pacient.jmeno;
	}
}

</script>
